Summary:	Utilities for configuring the Linux ethernet bridge
Summary(pl.UTF-8):	Narzędzia przeznaczone do konfiguracji linuksowego ethernet bridge
Name:		bridge-utils
Version:	1.5
Release:	2
License:	GPL v2+
Group:		Networking/Admin
Source0:	http://downloads.sourceforge.net/bridge/%{name}-%{version}.tar.gz
# Source0-md5:	ec7b381160b340648dede58c31bb2238
Patch0:		debian.patch
Patch1:		man.patch
Patch2:		fail_on_error.patch
Patch3:		build_fix.patch
URL:		http://www.linuxfoundation.org/collaborate/workgroups/networking/bridge
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	linux-libc-headers >= 7:2.6.7
BuildRequires:	sed >= 4.0
Obsoletes:	brcfg
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sbindir	/sbin

%description
This package contains utilities for configuring the Linux ethernet
bridge. The Linux ethernet bridge can be used for connecting multiple
ethernet devices together. The connecting is fully transparent: hosts
connected to one ethernet device see hosts connected to the other
ethernet devices directly.

%description -l pl.UTF-8
Ten pakiet zawiera narzędzia przeznaczone do konfigurowania
linuksowego ethernet bridge (inteligentnego switcha). Linux ethernet
bridge może być użyty do łączenia kilku ethernetowych interfejsów
sieciowych w jeden. Połączenie jest w pełni przezroczyste; hosty
przyłączone po jednej stronie widzą hosty z drugiej strony
bezpośrednio.

%package devel
Summary:	Libraries for the linux ethernet bridge programs
Summary(pl.UTF-8):	Biblioteki używane do sterowania linuksowym bridge
Group:		Development/Libraries

%description devel
This package contains the header and object files necessary for
developing programs which use 'libbridge', the interface to the linux
kernel ethernet bridge.

%description devel -l pl.UTF-8
Ten pakiet zawiera pliki nagłówkowe i bibliotekę konieczną do rozwoju
programów używających libbridge - interfejsu do linuksowego ethernet
bridge.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
cp -f /usr/share/automake/{config.*,missing} .
%{__aclocal}
%{__autoconf}
%configure \
	--with-linux-headers=%{_includedir}

%{__make} \
	CFLAGS="%{rpmcflags} %{rpmcppflags} -Wall"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_libdir},%{_includedir}} \
	$RPM_BUILD_ROOT%{_mandir}/man8

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install libbridge/libbridge.h $RPM_BUILD_ROOT%{_includedir}
install libbridge/libbridge.a $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog THANKS TODO doc/{FAQ,FIREWALL,HOWTO,SMPNOTES,WISHLIST}
%attr(755,root,root) %{_sbindir}/brctl
%{_mandir}/man8/brctl.8*

%files devel
%defattr(644,root,root,755)
%{_libdir}/libbridge.a
%{_includedir}/libbridge.h
%changelog
* Fri Jul 18 2014 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/bridge-utils.git;a=log;h=master

* Fri Jul 18 2014 Marcin Krol <hawk@tld-linux.org> 826b1b8
- various fixes, see patches commit logs for details
- updated URL

* Fri Jul 18 2014 Marcin Krol <hawk@tld-linux.org> edfafe2
- fix building with recent kernel headers

* Fri Jul 18 2014 Marcin Krol <hawk@tld-linux.org> 9b489d0
- fail on build errors instead of silently ignoring them

* Fri Jul 18 2014 Marcin Krol <hawk@tld-linux.org> 4470f5e
- update man page to actual brctl

* Fri Jul 18 2014 Marcin Krol <hawk@tld-linux.org> b297fb9
- fixes from debian

* Fri Apr 01 2011 Jakub Bogusz <qboosh@pld-linux.org> ce8e885
- more verbose files
- GPL version
- removed obsolete rm

* Fri Apr 01 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 81c7ac6
- up to 1.5

* Tue Jan 08 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> c3e754b
- up to 1.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> e1366da
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 43a3ef8
- converted to UTF-8

* Sat Sep 23 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> d0ea468
- up to 1.2

* Wed May 17 2006 Jakub Bogusz <qboosh@pld-linux.org> 0a2dd00
- use <sysfs/libsysfs.h> (sysfsutils >= 1.3.0-3)
- use optflags, refresh missing script

* Sat Apr 29 2006 dzeus <dzeus@pld-linux.org> 070fa1b
- new homepage URL

* Fri Apr 21 2006 Jan Rękorajski <baggins@pld-linux.org> 5eb42a1
- orphaned, outdated

* Sun Mar 12 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 7823568
- up to 1.1

* Mon Nov 14 2005 radek <radek@pld-linux.org> 52834f8
- pl fix: "przezroczysty" is written with "z", not zacute

* Sat Mar 19 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> 56b4cf7
- up to 1.0.6

* Wed Sep 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 5f019a7
- updated for current llh, kill autom4te.cache

* Wed Sep 01 2004 Jakub Bogusz <qboosh@pld-linux.org> 5d27855
- cosmetics

* Thu Aug 19 2004 Jakub Bogusz <qboosh@pld-linux.org> 7c3287c
- pl fixes, Source0 URL unification

